Get an entry
curl --request GET \
--url https://api.panoqore.example/v1/entries/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/entries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/entries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"status": "PENDING",
"kind": "<string>",
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"businessDate": "<string>",
"externalRef": "<string>",
"reversesId": "<string>",
"reversedById": "<string>",
"fxRateId": "<string>",
"holdId": "<string>",
"postings": [
{
"id": "<string>",
"entryId": "<string>",
"accountId": "<string>",
"side": "DEBIT",
"amount": "<string>",
"currency": "<string>",
"seq": 123,
"accountName": "<string>",
"accountCode": "<string>",
"balanceAfter": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"metadata": {},
"createdBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvedBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"latePosting": true,
"postedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"statusNote": "<string>"
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Entries
Get an entry
Scope: any one of read, entries:write.
GET
/
v1
/
entries
/
{id}
Get an entry
curl --request GET \
--url https://api.panoqore.example/v1/entries/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/entries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/entries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"status": "PENDING",
"kind": "<string>",
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"businessDate": "<string>",
"externalRef": "<string>",
"reversesId": "<string>",
"reversedById": "<string>",
"fxRateId": "<string>",
"holdId": "<string>",
"postings": [
{
"id": "<string>",
"entryId": "<string>",
"accountId": "<string>",
"side": "DEBIT",
"amount": "<string>",
"currency": "<string>",
"seq": 123,
"accountName": "<string>",
"accountCode": "<string>",
"balanceAfter": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"metadata": {},
"createdBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvedBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"latePosting": true,
"postedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"statusNote": "<string>"
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Authorizations
An API key, pk_live_… or pk_test_….
Path Parameters
The id.
Response
OK
je_…
Available options:
PENDING, POSTED, VOIDED TRANSFER, PAYOUT, INBOUND_CREDIT, FEE, FX, ADJUSTMENT, REVERSAL, SETTLEMENT …
YYYY-MM-DD in the tenant's zone
Show child attributes
Show child attributes
Who did something: a person signed in to the console, or an API key.
Show child attributes
Show child attributes
set on entries that came through maker-checker
Show child attributes
Show child attributes
why it ended up here: "Voided, hold expired", "To suspense"